{ config, pkgs, lib, ... }:
{
  users.users.yoda = {
    packages = with pkgs; [
      signal-desktop # Signal client
    ];
  };

  # Signal does also use the NIXOS_OZONE_WL variable to enable Wayland support.
  environment.sessionVariables.NIXOS_OZONE_WL = lib.mkIf (config.services.xserver.displayManager.gdm.wayland) "1";
}
